Bug 860223 - [fork]Caught error when click the reset password url more than one time.
[fork]Caught error when click the reset password url more than one time.
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Website (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Clayton Coleman
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-25 06:19 EDT by Mengjiao Gao
Modified: 2015-05-14 21:14 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-06 13:47:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Error page when click the confirm url twice time. (74.13 KB, image/png)
2012-09-25 06:19 EDT, Mengjiao Gao
no flags Details

  None (edit)
Description Mengjiao Gao 2012-09-25 06:19:20 EDT
Created attachment 616951 [details]
Error page when click the confirm url twice time.

Description of problem:
After I reseted password in the website,I can receive a email with a  reset comfirm url. When I clicked it first time, I can receive a email with the reseted password.But when I clicked it  once more , I got a error page like the attachment show.

This does not happen on the latest devenv(devenv_2221)

Version-Release number of selected component (if applicable):
On fork_ami_opensource_console_ruby19_2

How reproducible:
Always

Steps to Reproduce:
1. Go to the password reset page.
2. Input a valid account.
3. Check your email and click the confirm url twice time.
  
Actual results:
Got error  when clicked the confirm url twice time.

Expected results:
User should get a page with message like :"Unable to reset password
This password reset request is no longer valid"

Additional info:
Comment 1 Clayton Coleman 2012-09-25 15:27:12 EDT
Should be fixed in fork_ami_opensource_console_ruby19_3
Comment 2 Yujie Zhang 2012-09-26 01:49:35 EDT
(In reply to comment #1)
Tested this issue on fork_ami_opensource_console_ruby19_3, still has the same issuem, could you please check this again ?
Comment 3 Clayton Coleman 2012-09-26 15:29:46 EDT
Will be delivered to master today.  Initializer was never loading the core streamline library.
Comment 4 Yujie Zhang 2012-09-27 02:14:31 EDT
(In reply to comment #3)
Tested this issue on devenv_2040, it has been fixed now, thanks.

Note You need to log in before you can comment on or make changes to this bug.